import { PaymentService } from "./payment.service";
import { CreatePaymentDto } from "./payment.dto";
export declare class PaymentController {
    private readonly paymentService;
    constructor(paymentService: PaymentService);
    requestPayment(createPaymentRequestDto: CreatePaymentDto): Promise<{
        status: boolean;
        message: string;
    }>;
    findByUserId(userId: string): Promise<{
        status: boolean;
        payments: import("../../common/payment/payment.entity").Payment[];
        message: string;
    }>;
    findByShopId(shopId: string): Promise<{
        status: boolean;
        payments: import("../../common/payment/payment.entity").Payment[];
        message: string;
    }>;
    findByDriverId(driverId: string): Promise<{
        status: boolean;
        payments: any[];
        message: string;
    }>;
    findOne(id: string): Promise<import("../../common/payment/payment.entity").Payment>;
}
